Debian Bug report logs - #673399
please drop Qt3 support

version graph

Package: matplotlib; Maintainer for matplotlib is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Ana Guerrero <ana@debian.org>

Date: Fri, 18 May 2012 11:24:08 UTC

Severity: serious

Found in version 1.1.1~rc1-1

Fixed in version matplotlib/1.1.1~rc2-1

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673399; Package matplotlib. (Fri, 18 May 2012 11:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 18 May 2012 11:24:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: submit@bugs.debian.org
Subject: please drop Qt3 support
Date: Fri, 18 May 2012 13:18:51 +0200

Package: matplotlib
Version: 1.1.1~rc1-1
Severity: normal


Please remove the Qt3 support so python-qt3 (and later, qt3), can be removed
from the archive.
More info: http://lists.debian.org/debian-python/2012/05/msg00079.html

Thanks,
Ana





Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Sun, 20 May 2012 10:42:51 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 16:30:09 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Sun, 10 Jun 2012 17:18:16 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Sun, 10 Jun 2012 17:18:16 GMT) Full text and rfc822 format available.

Message #14 received at 673399-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 673399-close@bugs.debian.org
Subject: Bug#673399: fixed in matplotlib 1.1.1~rc2-1
Date: Sun, 10 Jun 2012 17:15:08 +0000
Source: matplotlib
Source-Version: 1.1.1~rc2-1

We believe that the bug you reported is fixed in the latest version of
matplotlib, which is due to be installed in the Debian FTP archive:

matplotlib_1.1.1~rc2-1.debian.tar.gz
  to main/m/matplotlib/matplotlib_1.1.1~rc2-1.debian.tar.gz
matplotlib_1.1.1~rc2-1.dsc
  to main/m/matplotlib/matplotlib_1.1.1~rc2-1.dsc
matplotlib_1.1.1~rc2.orig-sampledata.tar.gz
  to main/m/matplotlib/matplotlib_1.1.1~rc2.orig-sampledata.tar.gz
matplotlib_1.1.1~rc2.orig.tar.gz
  to main/m/matplotlib/matplotlib_1.1.1~rc2.orig.tar.gz
python-matplotlib-data_1.1.1~rc2-1_all.deb
  to main/m/matplotlib/python-matplotlib-data_1.1.1~rc2-1_all.deb
python-matplotlib-dbg_1.1.1~rc2-1_amd64.deb
  to main/m/matplotlib/python-matplotlib-dbg_1.1.1~rc2-1_amd64.deb
python-matplotlib-doc_1.1.1~rc2-1_all.deb
  to main/m/matplotlib/python-matplotlib-doc_1.1.1~rc2-1_all.deb
python-matplotlib_1.1.1~rc2-1_amd64.deb
  to main/m/matplotlib/python-matplotlib_1.1.1~rc2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated matplotlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Jun 2012 16:21:11 +0200
Source: matplotlib
Binary: python-matplotlib python-matplotlib-data python-matplotlib-doc python-matplotlib-dbg
Architecture: source all amd64
Version: 1.1.1~rc2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-matplotlib - Python based plotting system in a style similar to Matlab
 python-matplotlib-data - Python based plotting system (data package)
 python-matplotlib-dbg - Python based plotting system (debug extension)
 python-matplotlib-doc - Python based plotting system (documentation package)
Closes: 673399
Changes: 
 matplotlib (1.1.1~rc2-1) unstable; urgency=low
 .
   * New upstream release candidate
   * debian/control
     - remove some unnecessary build-depends; thanks to Michael Droettboom from
       upstream for the review of the b-d packages list
     - remove Qt3 dependencies, not required since a long time, easying Qt3
       removal from Debian; thanks to Ana Guerrero for report; Closes: #673399
     - add python-nose to b-d, needed to run tests
   * debian/rules
     - enable tests at build time
Checksums-Sha1: 
 9fd50819b13cfc502b3bf5a671475967779953ce 2414 matplotlib_1.1.1~rc2-1.dsc
 a2a0bb44514d985b9a25d4f20c798ae2f3734121 875215 matplotlib_1.1.1~rc2.orig-sampledata.tar.gz
 409b2cc337ac89360897e4ade3bba3d9b91df255 33707473 matplotlib_1.1.1~rc2.orig.tar.gz
 62c78816ea3d37d33d95d7c0d0ee3caea9c64d79 24186 matplotlib_1.1.1~rc2-1.debian.tar.gz
 a1d55f3671f7c009c179265556939a07cf48621a 2057016 python-matplotlib-data_1.1.1~rc2-1_all.deb
 6ab2808d1b1d0d5a450d903fc20d70c68f5a9015 52319534 python-matplotlib-doc_1.1.1~rc2-1_all.deb
 b846d5872e580609b08cf75f448e0f48477e0ebb 2695010 python-matplotlib_1.1.1~rc2-1_amd64.deb
 c70aea2aec5e9a581c50e8c0f6a84bbb9226647f 13295776 python-matplotlib-dbg_1.1.1~rc2-1_amd64.deb
Checksums-Sha256: 
 aa21bee852136d69853df35683309b2203832de6e337bcce0330153551bb2f60 2414 matplotlib_1.1.1~rc2-1.dsc
 7e0334ce5804b49dffb03bf36846b830c54d62297d96007e5fed01800214ba45 875215 matplotlib_1.1.1~rc2.orig-sampledata.tar.gz
 8f596938aaa14fc6717e2231c90a02274262e2c5c3addce8a59738487fe32305 33707473 matplotlib_1.1.1~rc2.orig.tar.gz
 0982d7fc4ba5eeb1f0dbb21b35ecbce31ef73319594601e672c2cd1f65057880 24186 matplotlib_1.1.1~rc2-1.debian.tar.gz
 5e960213f8a6599a9615ae2f74e2cb984a41d40a19a7a9c97da77e953ce56911 2057016 python-matplotlib-data_1.1.1~rc2-1_all.deb
 01f095cefe01e7968835780076959c04e293c5d20db58c322cccc6b494d8514b 52319534 python-matplotlib-doc_1.1.1~rc2-1_all.deb
 080e98d807194d5c2c7ed8ca4f8fa54a0087c02e389854180042688383defccf 2695010 python-matplotlib_1.1.1~rc2-1_amd64.deb
 decf772737abe5a9e200b9b3b0c5201b0234190ee3ef61a7f9dee095bc38dbee 13295776 python-matplotlib-dbg_1.1.1~rc2-1_amd64.deb
Files: 
 9aea5174158a431d2902dede56b73530 2414 python optional matplotlib_1.1.1~rc2-1.dsc
 24ee8b490f707a60ed5aaf7259f6bc40 875215 python optional matplotlib_1.1.1~rc2.orig-sampledata.tar.gz
 bb2877c20950d17d2a5cf5252955cfb1 33707473 python optional matplotlib_1.1.1~rc2.orig.tar.gz
 3851fa154f3ef730f241c065f51d5e47 24186 python optional matplotlib_1.1.1~rc2-1.debian.tar.gz
 40c625648c10909213122745e54008f5 2057016 python optional python-matplotlib-data_1.1.1~rc2-1_all.deb
 b1e2d1c61d5f354b28d243cc898a83fe 52319534 doc optional python-matplotlib-doc_1.1.1~rc2-1_all.deb
 89876b3734a0188872dae46407a33de1 2695010 python optional python-matplotlib_1.1.1~rc2-1_amd64.deb
 36c5b68d9437fcfc8455327c4e79abc2 13295776 debug extra python-matplotlib-dbg_1.1.1~rc2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/UtXEACgkQAukwV0RN2VBD1gCfVX1fuTUk35wu0pcaS+kNprfP
6aAAn2Vefw6kqGRNmMrIqeHczSl0xQvv
=PUdR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:55:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:00:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.